petsc-3.4.2 2013-07-02

# DMMeshSetMaxDof

Sets the maximum number of degrees of freedom on any sieve point

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshSetMaxDof(DM dm, PetscInt maxDof)

Logically Collective on A

### Input Parameters

| A | - the matrix
| mesh | - DMMesh needed for orderings
| section | - A Section which describes the layout
| e | - The element number
| v | - The values
| mode | - either ADD_VALUES or INSERT_VALUES, where ADD_VALUES adds values to any existing entries, and INSERT_VALUES replaces existing entries with new values

Notes: This is used by routines like DMMeshUpdateOperator() to bound buffer sizes

### See Also

DMMeshUpdateOperator(), DMMeshAssembleMatrixDM()

Level:developer
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages